clc

clear 

global Xea X

% running the genetic algorithm 100 times in order to select 
% the best result

for j=1:100
    
binous2;

Texp=[0, 5, 10, 15, 20, 25, 30, 35, 40, 45, 50, 55, 60, 65, 70, 75];

Psatexp=[11.7453, 16.6791, 23.3364, 32.1994, 43.8513, 58.9898, 78.4411, ...
103.174, 134.316, 173.165, 221.207, 280.127, 351.825, 438.429, ...
542.308, 666.079];

f(j)=0;

for i=1:16
    Psattheo(j,i)=feval(@antoine1,Texp(i));
    f(j)=f(j)+(Psattheo(j,i)-Psatexp(i))^2;
end

Xea(j,:)=X;

end

% select best result and plot experimental and predicted data
% Xea contains best result for the three parameters of the Antoine Equation

[f,k]=min(f);

Xea(k,:)

figure(2)
plot(Texp,Psatexp,'r*');
hold on
plot(Texp,Psattheo(k,:),'b');
axis tight
xlabel('Temperature in C')
ylabel('Vapor Pressure in mmHg')
