clc

clear 

global Xe X

% running the genetic algorithm 100 times in order to select 
% the best result

for j=1:100
    
binous;

Texp=[273.15, 278.15, 283.15, 288.15, 293.15, 298.15, 303.15, 308.15, ...
313.15, 318.15, 323.15, 328.15, 333.15, 338.15, 343.15, 348.15];

Psatexp=[1530.32, 2179.52, 3058.54, 4232.57, 5780.6, 7797.18, 10394.3, ...
13703., 17875.6, 23087.2, 29537.2, 37451.4, 47082.9, 58714.1, 72657.1, 89255.4];

f(j)=0;

for i=1:16
    Psattheo(j,i)=feval(@Mantoine1,Texp(i));
    f(j)=f(j)+(Psattheo(j,i)-Psatexp(i))^2;
end

Xe(j,:)=X;

end

% select best result and plot experimental and predicted data
% Xe contains best result for the six parameters of 
% the Modified Antoine Equation

[f,k]=min(f);

Xe(k,:)

figure(2)
plot(Texp,Psatexp,'r*');
hold on
plot(Texp,Psattheo(k,:),'b');
axis tight
xlabel('Temperature in K')
ylabel('Vapor Pressure in Pa')
